FreeMat

- Main Page
- Related Pages

vtkWidgetCallbackMapper

Section: Visualization Toolkit Widget Classes

# Usage

vtkWidgetCallbackMapper maps widget events (defined in vtkWidgetEvent.h) into static class methods, and provides facilities to invoke the methods. This class is templated and meant to be used as an internal helper class by the widget classes. The class works in combination with the class vtkWidgetEventTranslator, which translates VTK events into widget events.

To create an instance of class vtkWidgetCallbackMapper, simply invoke its constructor as follows

      obj = vtkWidgetCallbackMapper

# Methods

The class vtkWidgetCallbackMapper has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkWidgetCallbackMapper class.

- `string = obj.GetClassName ()` - Standard macros.
- `int = obj.IsA (string name)` - Standard macros.
- `vtkWidgetCallbackMapper = obj.NewInstance ()` - Standard macros.
- `vtkWidgetCallbackMapper = obj.SafeDownCast (vtkObject o)` - Standard macros.
- `obj.SetEventTranslator (vtkWidgetEventTranslator t)` - Specify the vtkWidgetEventTranslator to coordinate with.
- `vtkWidgetEventTranslator = obj.GetEventTranslator ()` - Specify the vtkWidgetEventTranslator to coordinate with.
- `obj.InvokeCallback (long widgetEvent)` - This method invokes the callback given a widget event. A non-zero value is returned if the listed event is registered.